curl --request GET \
--url https://app.kosli.com/api/v2/trails/{org}/{flow_name} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"name": "<string>",
"last_modified_at": 123,
"created_at": 123,
"compliance_status": {
"status": "INCOMPLETE",
"is_compliant": true,
"attestations_statuses": [
{
"attestation_name": "<string>",
"attestation_type": "<string>",
"attestation_id": "<string>",
"overridden_attestation_id": "<string>",
"status": "MISSING",
"is_compliant": true,
"unexpected": false
}
],
"artifacts_statuses": {},
"evaluated_at": 123,
"flow_template_id": "<string>"
},
"template": {
"trail": {
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
],
"artifacts": [
{
"name": "<string>",
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
]
}
]
},
"version": 1,
"content": "<string>"
},
"compliance_state": "INCOMPLETE",
"is_compliant": true,
"created_by": "<string>",
"flow": {
"name": "<string>",
"tags": {}
},
"html_url": "<string>",
"description": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"origin_url": "<string>",
"user_data": {},
"repo_ids": [
"<string>"
],
"events": [
{}
],
"external_urls": {}
}
],
"pagination": {
"total": 123,
"page": 123,
"per_page": 123,
"page_count": 123
}
}List Trails of a Flow.
curl --request GET \
--url https://app.kosli.com/api/v2/trails/{org}/{flow_name} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"name": "<string>",
"last_modified_at": 123,
"created_at": 123,
"compliance_status": {
"status": "INCOMPLETE",
"is_compliant": true,
"attestations_statuses": [
{
"attestation_name": "<string>",
"attestation_type": "<string>",
"attestation_id": "<string>",
"overridden_attestation_id": "<string>",
"status": "MISSING",
"is_compliant": true,
"unexpected": false
}
],
"artifacts_statuses": {},
"evaluated_at": 123,
"flow_template_id": "<string>"
},
"template": {
"trail": {
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
],
"artifacts": [
{
"name": "<string>",
"attestations": [
{
"name": "<string>",
"type": "<string>"
}
]
}
]
},
"version": 1,
"content": "<string>"
},
"compliance_state": "INCOMPLETE",
"is_compliant": true,
"created_by": "<string>",
"flow": {
"name": "<string>",
"tags": {}
},
"html_url": "<string>",
"description": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>"
},
"origin_url": "<string>",
"user_data": {},
"repo_ids": [
"<string>"
],
"events": [
{}
],
"external_urls": {}
}
],
"pagination": {
"total": 123,
"page": 123,
"per_page": 123,
"page_count": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The page number of response
How many results to return per page of response
Successful Response
Response model for listing Trails with pagination.
When pagination is not requested, returns a list of trails directly. When pagination is requested, returns data with optional pagination info.